function LISA_transfer(fmin, fmax)
%
% calculate normalized LISA transfer function
%
% R(f) = gammaII(f) 
%
% then write result to file LISA_transfer.dat
%
% typically, fmin = 1e-4, fmax = 1e-1 Hz
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% load data 
load('overlap_default_default_exact.mat');

% rescale dimensionless frequencies by c/L;
c = 299792458;   % speed of light (m/s)
L = 5e9; % LISA armlength (m)
f = f*c/L;

% restrict to frequencies between fmin and fmax
%cut = f>=fmin & f<=fmax;
%f = f(cut);
%R = real(orf(cut));
R = real(orf);

% write data to file
fid = fopen('LISA_transfer.dat','w');
for ii=1:length(f)
  fprintf(fid, '%g\t%g\n', f(ii), R(ii));
end

fclose(fid);

return
